import type { CollectionSlug, JoinQuery, Payload, TypedLocale } from '../../../index.js';
import type { Document, PayloadRequest, RequestContext } from '../../../types/index.js';
import type { DataFromCollectionSlug } from '../../config/types.js';
export type Options<TSlug extends CollectionSlug = CollectionSlug> = {
    collection: TSlug;
    /**
     * context, which will then be passed to req.context, which can be read by hooks
     */
    context?: RequestContext;
    currentDepth?: number;
    depth?: number;
    disableErrors?: boolean;
    draft?: boolean;
    fallbackLocale?: TypedLocale;
    id: number | string;
    includeLockStatus?: boolean;
    joins?: JoinQuery;
    locale?: 'all' | TypedLocale;
    overrideAccess?: boolean;
    req?: PayloadRequest;
    showHiddenFields?: boolean;
    user?: Document;
};
export default function findByIDLocal<TOptions extends Options>(payload: Payload, options: TOptions): Promise<TOptions['disableErrors'] extends true ? DataFromCollectionSlug<TOptions['collection']> | null : DataFromCollectionSlug<TOptions['collection']>>;
//# sourceMappingURL=findByID.d.ts.map